Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.cassandra.pipeline
Interface PipeLineManager

public interface PipeLineManager

     Project ref           : CASSANDRA project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  : Core part of Cassandra which take care of the VTK components
                    that will be shown in the Pipeline editor.

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain

Method Summary
`VtkObject` | `addActor(java.lang.Object actor, java.lang.String name)`
`void` | `addConnectivityListener(ConnectivityListener l)`
`VtkObject` | `addDataSet(java.lang.Object dataset, java.lang.String name)`
`VtkObject` | `addFilter(Filter filter, java.lang.String name)`
`VtkObject` | `addLookupTable(vtk.vtkLookupTable lookupTable, java.lang.String name)`
`VtkObject` | `addMapper(java.lang.Object mapper, java.lang.String name)`
`VtkObject` | `addScalarBar(vtk.vtkScalarBarActor scalarBar, java.lang.String name)`
`VtkObject` | `addTxtActor(vtk.vtkTextActor txtActor, java.lang.String name)`
`void` | `addVtkFile(java.io.File vtkFile)`
`VtkObjectListModel` | `getActorList()`
`com.artenum.cassandra.vtk.CassandraView` | `getCassandraView()`
`VtkObjectListModel` | `getDataSetList()`
`VtkObjectListModel` | `getFilterList()`
`VtkObjectListModel` | `getLookupTableList()`
`VtkObjectListModel` | `getMapperList()`
`VtkObjectListModel` | `getScalarBarList()`
`VtkObjectListModel` | `getTextActorList()`
`VtkObject` | `getVtkObject(java.lang.Integer vtkObjectId)`
`void` | `notifyConnectivityChange(VtkObject obj)`
`void` | `removeConnectivityListener(ConnectivityListener l)`
`void` | `removeVtkObject(java.lang.Integer vtkObjectId)`
`void` | `removeVtkObject(VtkObject vtkObject)`
`void` | `setActorVisible(java.lang.Integer vtkObjectId, boolean viewActor)`
`void` | `setActorVisible(VtkObject vtkObjectActor, boolean viewActor)`
`void` | `setAxisVisible(boolean viewAxis)`
`void` | `validateView()`

Method Detail

### addVtkFile

    public void addVtkFile(java.io.File vtkFile)

### setActorVisible

    public void setActorVisible(java.lang.Integer vtkObjectId,
                                boolean viewActor)

### setActorVisible

    public void setActorVisible(VtkObject vtkObjectActor,
                                boolean viewActor)

### getVtkObject

    public VtkObject getVtkObject(java.lang.Integer vtkObjectId)

### getActorList

    public VtkObjectListModel getActorList()

### getMapperList

    public VtkObjectListModel getMapperList()

### getDataSetList

    public VtkObjectListModel getDataSetList()

### getFilterList

    public VtkObjectListModel getFilterList()

### getLookupTableList

    public VtkObjectListModel getLookupTableList()

### getScalarBarList

    public VtkObjectListModel getScalarBarList()

### getTextActorList

    public VtkObjectListModel getTextActorList()

### addActor

    public VtkObject addActor(java.lang.Object actor,
                              java.lang.String name)

### addMapper

    public VtkObject addMapper(java.lang.Object mapper,
                               java.lang.String name)

### addDataSet

    public VtkObject addDataSet(java.lang.Object dataset,
                                java.lang.String name)

### addFilter

    public VtkObject addFilter(Filter filter,
                               java.lang.String name)

### addScalarBar

    public VtkObject addScalarBar(vtk.vtkScalarBarActor scalarBar,
                                  java.lang.String name)

### addLookupTable

    public VtkObject addLookupTable(vtk.vtkLookupTable lookupTable,
                                    java.lang.String name)

### addTxtActor

    public VtkObject addTxtActor(vtk.vtkTextActor txtActor,
                                 java.lang.String name)

### removeVtkObject

    public void removeVtkObject(java.lang.Integer vtkObjectId)

### removeVtkObject

    public void removeVtkObject(VtkObject vtkObject)

### getCassandraView

    public com.artenum.cassandra.vtk.CassandraView getCassandraView()

### setAxisVisible

    public void setAxisVisible(boolean viewAxis)

### validateView

    public void validateView()

### notifyConnectivityChange

    public void notifyConnectivityChange(VtkObject obj)

### addConnectivityListener

    public void addConnectivityListener(ConnectivityListener l)

### removeConnectivityListener

    public void removeConnectivityListener(ConnectivityListener l)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com